#
# spec file for package radvd (Version 0.9)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           radvd
License:        BSD
Group:          Productivity/Networking/Routing
PreReq:         %insserv_prereq %fillup_prereq
Autoreqprov:    on
Summary:        Router ADVertisement Daemon for IPv6
Version:        0.9
Release:        13.2
Source0:        %{name}-%{version}.tar.bz2
Source1:        radvd.init
Source2:        sysconfig.radvd
Patch0:         radvd-initial-RA-delay.patch
Url:            http://v6web.litech.org/radvd
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
RADVD is the Router ADVertisement Daemon. It is used for automated
configuration of IPv6 networks. Most people will not need this.



%debug_package
%prep
%setup -q
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --mandir=%{_mandir} --sysconfdir=%{_sysconfdir} --with-configfile=%{_sysconfdir}/radvd.conf --with-pidfile=/var/run/radvd/radvd.pid
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 0755 $RPM_SOURCE_DIR/radvd.init $RPM_BUILD_ROOT/etc/init.d/radvd
ln -sf /etc/init.d/radvd $RPM_BUILD_ROOT/usr/sbin/rcradvd
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 $RPM_SOURCE_DIR/sysconfig.radvd $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 $RPM_BUILD_DIR/radvd-%{version}/radvd.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/radvd.conf
mkdir -p $RPM_BUILD_ROOT/var/run/radvd

%post
%{fillup_and_insserv radvd}

%postun
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %attr(-,daemon,daemon) /var/run/radvd/
%config(noreplace) %{_sysconfdir}/radvd.conf
/var/adm/fillup-templates/sysconfig.radvd
/usr/sbin/radvd
/usr/sbin/radvdump
%doc %{_mandir}/man8/radvd.8.gz
%doc %{_mandir}/man8/radvdump.8.gz
%doc %{_mandir}/man5/radvd.conf.5.gz
%doc CHANGES COPYRIGHT TODO INTRO.html
%config /etc/init.d/radvd
/usr/sbin/rcradvd

%changelog -n radvd
* Wed Feb 08 2006 - okir@suse.de
- Make radvd limit the initial RA intervals according to RFC 2461.
  Needed for IPv6 Ready Logo (#149014)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 - okir@suse.de
- Update to latest upstream version 0.9
* Tue Feb 22 2005 - kukuk@suse.de
- Update to 0.7.3 (merge of all fixes)
* Wed Feb 04 2004 - kukuk@suse.de
- Add some patches from RedHat package
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Fri Aug 15 2003 - kukuk@suse.de
- Add ServiceRestart tag to sysconfig file [Bug #28927]
* Fri Jan 17 2003 - kukuk@suse.de
- Update to version 0.7.2 (VLAN support)
* Thu Jan 16 2003 - kukuk@suse.de
- Add metadata to sysconfig template [Bug #22678]
* Thu Aug 01 2002 - kukuk@suse.de
- Add PreRequires for insserv and fillup
* Mon Mar 04 2002 - kukuk@suse.de
- Rename OPTIONS variable to RADVD_OPTIONS
* Thu Jan 24 2002 - kukuk@suse.de
- Update to version 0.7.1 (minor fixes)
* Sat Jan 12 2002 - kukuk@suse.de
- Add options to radvd
* Sat Jan 12 2002 - kukuk@suse.de
- Add radvd sysconfig option file
- Don't source rc.config in init script
* Fri Nov 23 2001 - kukuk@suse.de
- update to 0.7.0
- Remove START variable
- Cleanup init script
* Wed Jun 06 2001 - bjacke@suse.de
- update to 0.6.2pl3
* Mon Apr 23 2001 - kukuk@suse.de
- Fix type in START variable
* Mon Apr 09 2001 - bjacke@suse.de
- init script rework
* Mon Feb 05 2001 - bjacke@suse.de
- updated to 0.6.2
* Wed Jan 10 2001 - bjacke@suse.de
- removed service from runlevel 2
* Mon Nov 27 2000 - bjacke@suse.de
- moved init script to /etc/init.d
* Thu Nov 23 2000 - bjacke@suse.de
- use insserv for init.d script
* Mon Nov 13 2000 - bjacke@suse.de
- some specfile fixes
* Sat Oct 28 2000 - bjacke@suse.de
- initial build
